org.apache.cassandra.io.sstable

## Class IndexSummary

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexSummary

-     public class IndexSummary
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IndexSummary.IndexSummarySerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IndexSummary.IndexSummarySerializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexSummary(IPartitioner partitioner, byte[][] keys, long[] positions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `binarySearch(RowPosition key)`
    `byte[]` | `getKey(int index)`
    `byte[][]` | `getKeys()`
    `long` | `getPosition(int index)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IndexSummary.IndexSummarySerializer serializer

  - ### Constructor Detail

    - #### IndexSummary

          public IndexSummary(IPartitioner partitioner,
                      byte[][] keys,
                      long[] positions)

  - ### Method Detail

    - #### getKeys

          public byte[][] getKeys()

    - #### binarySearch

          public int binarySearch(RowPosition key)

    - #### getKey

          public byte[] getKey(int index)

    - #### getPosition

          public long getPosition(int index)

    - #### size

          public int size()

Copyright © 2014 The Apache Software Foundation